#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  Asciidoctor-2.0.26

- Next

  Compface-1.5.2

- Up
- Home

# Bogofilter-1.2.5

## Introduction to Bogofilter

The Bogofilter application is a mail filter that classifies mail as spam or ham (non-spam) by a statistical analysis of the message's header and content (body).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/bogofilter/bogofilter-1.2.5.tar.xz

- Download MD5 sum: 8763f87adfff7b802ced177d8c654539

- Download size: 784 KB

- Estimated disk space required: 19 MB

- Estimated build time: 0.1 SBU

### Bogofilter Dependencies

#### Recommended

gsl-2.8 and libxml2-2.15.3

#### Optional

lmdb-0.9.35, xmlto-0.0.29, Berkeley DB (deprecated), QDBM and TokyoCabinet

### Note

If you do not install the recommended gsl-2.8 package then a statically linked shipped version will be used instead.

## Installation of Bogofilter

### Note

If you plan to change the version of your database library on an existing installation, or to change to a different database, read the warning at the top of the RELEASE.NOTES file.

Install Bogofilter by running the following commands:

    ./configure --prefix=/usr                \
                --sysconfdir=/etc/bogofilter \
                --with-database=sqlite3      &&
    make

To test the results, issue make check.

Now, as the `root` user:

    make install

## Command Explanations

`--with-database=sqlite3`: This switch makes Bogofilter use sqlite as the database, instead of Berkeley DB.

`--with-database={lmdb,qdbm,tokyocabinet}`: This switch also allows to use lmdb, qdbm, or tokyocabinet as the database.

## Contents

Installed Programs: bf_compact, bf_copy, bf_tar, bogofilter, bogolexer, bogotune, bogoupgrade and bogoutil
Installed Libraries: None
Installed Directories: /etc/bogofilter

### Short Descriptions

bf_compact | creates a more compact bogofilter working directory with a dump/load cycle
bf_copy | copies a bogofilter working directory to another directory
bf_tar | bundles a bogofilter working directory in tar format and copies it to standard output
bogofilter | is a fast Bayesian spam filter
bogolexer | is used to separate messages into tokens and to test new versions of the lexer.l code
bogotune | attempts to find optimum parameter settings for bogofilter
bogoupgrade | upgrades the bogofilter database to the current version
bogoutil | dumps, loads, and maintains bogofilter database files

- Prev

  Asciidoctor-2.0.26

- Next

  Compface-1.5.2

- Up
- Home